|
马上注册登录,享用更多网站功能!
您需要 登录 才可以下载或查看,没有帐号?立即注册
x
我用export功能把一个part中的solid body放到另一个part中去,然后打开,调用api写的程序,想看看这个solid有多少面片,结果总是0,郁闷, 那位师兄有解决办法告诉一下
ug例程主要代码如下:
tag_t workPart = UF_ASSEM_ask_work_part(); //get the work part tag,assure there is only one
char msg[133]; msg;
tag_t solid = NULL_TAG;
int type, sub_type, body_type;
tag_t solid_proto;
while( solid == NULL_TAG )
{
UF_OBJ_cycle_objs_in_part( workPart, UF_solid_type, &solid );
UF_OBJ_ask_type_and_subtype( solid, &type, &sub_type );
if( sub_type == UF_solid_body_subtype )
{
UF_MODL_ask_body_type (solid, &body_type );
if( body_type == UF_MODL_SOLID_BODY )
break; // get one solid object and go out of loop
}
}
if( solid != NULL_TAG )
uc1601( "hoho, got it ", 1 ); //just for a pause
int count;
uf_list_p_t face_list;
UF_MODL_create_list( &face_list );
UF_MODL_ask_body_faces( solid, &face_list );
UF_MODL_ask_list_count( face_list, &count );
sprintf(msg, "face num: %d", count ); uc1601( msg, 1 ); |
|